import request from '@/utils/request'

// 查询负责人列表
export function listPrincipal(query) {
  return request({
    url: '/mudu/principal/list',
    method: 'get',
    params: query
  })
}

// 查询负责人详细
export function getPrincipal(id) {
  return request({
    url: '/mudu/principal/' + id,
    method: 'get'
  })
}

// 新增负责人
export function addPrincipal(data) {
  return request({
    url: '/mudu/principal',
    method: 'post',
    data: data
  })
}

// 修改负责人
export function updatePrincipal(data) {
  return request({
    url: '/mudu/principal',
    method: 'put',
    data: data
  })
}

// 删除负责人
export function delPrincipal(id) {
  return request({
    url: '/mudu/principal/' + id,
    method: 'delete'
  })
}

